<?php

namespace GlsPoland;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'cSession' => '\\GlsPoland\\StructType\\CSession',
            'cConsign' => '\\GlsPoland\\StructType\\CConsign',
            'cSenderAddress' => '\\GlsPoland\\StructType\\CSenderAddress',
            'cServicesBool' => '\\GlsPoland\\StructType\\CServicesBool',
            'cServiceDAW' => '\\GlsPoland\\StructType\\CServiceDAW',
            'cServiceIDENT' => '\\GlsPoland\\StructType\\CServiceIDENT',
            'cServicePPE' => '\\GlsPoland\\StructType\\CServicePPE',
            'cServiceSDS' => '\\GlsPoland\\StructType\\CServiceSDS',
            'cParcelsArray' => '\\GlsPoland\\ArrayType\\CParcelsArray',
            'cParcel' => '\\GlsPoland\\StructType\\CParcel',
            'cID' => '\\GlsPoland\\StructType\\CID',
            'cConsignExt' => '\\GlsPoland\\StructType\\CConsignExt',
            'cCustomsDeclaration' => '\\GlsPoland\\StructType\\CCustomsDeclaration',
            'cCustomsAttachedFilesArray' => '\\GlsPoland\\ArrayType\\CCustomsAttachedFilesArray',
            'cCustomsAttachedFile' => '\\GlsPoland\\StructType\\CCustomsAttachedFile',
            'cCustomsArticlesArray' => '\\GlsPoland\\ArrayType\\CCustomsArticlesArray',
            'cCustomsArticle' => '\\GlsPoland\\StructType\\CCustomsArticle',
            'cConsignsIDsArray' => '\\GlsPoland\\ArrayType\\CConsignsIDsArray',
            'cLabels' => '\\GlsPoland\\StructType\\CLabels',
            'cLabelsArray' => '\\GlsPoland\\ArrayType\\CLabelsArray',
            'cLabel' => '\\GlsPoland\\StructType\\CLabel',
            'cLabelsIdent' => '\\GlsPoland\\StructType\\CLabelsIdent',
            'cPickupsIDsArray' => '\\GlsPoland\\ArrayType\\CPickupsIDsArray',
            'cPickup' => '\\GlsPoland\\StructType\\CPickup',
            'cConsignBindIDsArray' => '\\GlsPoland\\ArrayType\\CConsignBindIDsArray',
            'cConsignBindIDs' => '\\GlsPoland\\StructType\\CConsignBindIDs',
            'cReceipt' => '\\GlsPoland\\StructType\\CReceipt',
            'cIdent' => '\\GlsPoland\\StructType\\CIdent',
            'cStringArray' => '\\GlsPoland\\ArrayType\\CStringArray',
            'cPartnerParcelNumber' => '\\GlsPoland\\StructType\\CPartnerParcelNumber',
            'cTrackID' => '\\GlsPoland\\StructType\\CTrackID',
            'cProfilesArray' => '\\GlsPoland\\ArrayType\\CProfilesArray',
            'cProfile' => '\\GlsPoland\\StructType\\CProfile',
            'cLang' => '\\GlsPoland\\StructType\\CLang',
            'cStatus' => '\\GlsPoland\\StructType\\CStatus',
            'cSenderAddressArray' => '\\GlsPoland\\ArrayType\\CSenderAddressArray',
            'cServices' => '\\GlsPoland\\StructType\\CServices',
            'cCODMax' => '\\GlsPoland\\StructType\\CCODMax',
            'cParcelWeightsMax' => '\\GlsPoland\\StructType\\CParcelWeightsMax',
            'cCountryCDXMaxArray' => '\\GlsPoland\\ArrayType\\CCountryCDXMaxArray',
            'cCountryCDXMax' => '\\GlsPoland\\StructType\\CCountryCDXMax',
            'cCity' => '\\GlsPoland\\StructType\\CCity',
            'cBooleanValue' => '\\GlsPoland\\StructType\\CBooleanValue',
            'cValue' => '\\GlsPoland\\StructType\\CValue',
            'cParcelShopArray' => '\\GlsPoland\\ArrayType\\CParcelShopArray',
            'cParcelShop' => '\\GlsPoland\\StructType\\CParcelShop',
            'cParcelShop2Array' => '\\GlsPoland\\ArrayType\\CParcelShop2Array',
            'cParcelShop2' => '\\GlsPoland\\StructType\\CParcelShop2',
            'cParcelShop2OpeningHoursArray' => '\\GlsPoland\\ArrayType\\CParcelShop2OpeningHoursArray',
            'cParcelShop2OpeningHours' => '\\GlsPoland\\StructType\\CParcelShop2OpeningHours',
            'cParcelShop2HolidaysArray' => '\\GlsPoland\\ArrayType\\CParcelShop2HolidaysArray',
            'cParcelShop2Holidays' => '\\GlsPoland\\StructType\\CParcelShop2Holidays',
            'cParcelShop2PaymentsArray' => '\\GlsPoland\\ArrayType\\CParcelShop2PaymentsArray',
            'cParcelShop2Payment' => '\\GlsPoland\\StructType\\CParcelShop2Payment',
            'cParcelShop2GroupsArray' => '\\GlsPoland\\ArrayType\\CParcelShop2GroupsArray',
            'cParcelShop2Group' => '\\GlsPoland\\StructType\\CParcelShop2Group',
            'cParcelShop2ServicesArray' => '\\GlsPoland\\ArrayType\\CParcelShop2ServicesArray',
            'cParcelShop2Service' => '\\GlsPoland\\StructType\\CParcelShop2Service',
            'cParcelShop2ValidsArray' => '\\GlsPoland\\ArrayType\\CParcelShop2ValidsArray',
            'cParcelShop2Valid' => '\\GlsPoland\\StructType\\CParcelShop2Valid',
            'cParcelShop2DescArray' => '\\GlsPoland\\ArrayType\\CParcelShop2DescArray',
            'cParcelShop2Desc' => '\\GlsPoland\\StructType\\CParcelShop2Desc',
            'cParcelShop2InfoArray' => '\\GlsPoland\\ArrayType\\CParcelShop2InfoArray',
            'cParcelShop2Info' => '\\GlsPoland\\StructType\\CParcelShop2Info',
            'cCustomsDecPdf' => '\\GlsPoland\\StructType\\CCustomsDecPdf',
            'cPODsArray' => '\\GlsPoland\\ArrayType\\CPODsArray',
            'cPOD' => '\\GlsPoland\\StructType\\CPOD',
            'cPodPdf' => '\\GlsPoland\\StructType\\CPodPdf',
            'adeLogin' => '\\GlsPoland\\StructType\\AdeLogin',
            'adeLoginResponse' => '\\GlsPoland\\StructType\\AdeLoginResponse',
            'adeLoginIntegrator' => '\\GlsPoland\\StructType\\AdeLoginIntegrator',
            'adeLoginIntegratorResponse' => '\\GlsPoland\\StructType\\AdeLoginIntegratorResponse',
            'adeLoginByLocalizationCode' => '\\GlsPoland\\StructType\\AdeLoginByLocalizationCode',
            'adeLoginByLocalizationCodeResponse' => '\\GlsPoland\\StructType\\AdeLoginByLocalizationCodeResponse',
            'adeLogout' => '\\GlsPoland\\StructType\\AdeLogout',
            'adeLogoutResponse' => '\\GlsPoland\\StructType\\AdeLogoutResponse',
            'adePreparingBox_Insert' => '\\GlsPoland\\StructType\\AdePreparingBox_Insert',
            'adePreparingBox_InsertResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_InsertResponse',
            'adePreparingBox_InsertExt' => '\\GlsPoland\\StructType\\AdePreparingBox_InsertExt',
            'adePreparingBox_InsertExtResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_InsertExtResponse',
            'adePreparingBox_GetConsignIDs' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignIDs',
            'adePreparingBox_GetConsignIDsResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignIDsResponse',
            'adePreparingBox_DeleteConsign' => '\\GlsPoland\\StructType\\AdePreparingBox_DeleteConsign',
            'adePreparingBox_DeleteConsignResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_DeleteConsignResponse',
            'adePreparingBox_GetConsign' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsign',
            'adePreparingBox_GetConsignResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignResponse',
            'adePreparingBox_GetConsignLabels' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignLabels',
            'adePreparingBox_GetConsignLabelsResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignLabelsResponse',
            'adePreparingBox_GetConsignLabelsExt' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignLabelsExt',
            'adePreparingBox_GetConsignLabelsExtResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignLabelsExtResponse',
            'adePreparingBox_GetConsignDocs' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignDocs',
            'adePreparingBox_GetConsignDocsResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignDocsResponse',
            'adePreparingBox_GetConsignsLabels' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignsLabels',
            'adePreparingBox_GetConsignsLabelsResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignsLabelsResponse',
            'adePreparingBox_GetParcelLabel' => '\\GlsPoland\\StructType\\AdePreparingBox_GetParcelLabel',
            'adePreparingBox_GetParcelLabelResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetParcelLabelResponse',
            'adePickup_Create' => '\\GlsPoland\\StructType\\AdePickup_Create',
            'adePickup_CreateResponse' => '\\GlsPoland\\StructType\\AdePickup_CreateResponse',
            'adePickup_GetIDs' => '\\GlsPoland\\StructType\\AdePickup_GetIDs',
            'adePickup_GetIDsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetIDsResponse',
            'adePickup_Get' => '\\GlsPoland\\StructType\\AdePickup_Get',
            'adePickup_GetResponse' => '\\GlsPoland\\StructType\\AdePickup_GetResponse',
            'adePickup_GetConsignBinds' => '\\GlsPoland\\StructType\\AdePickup_GetConsignBinds',
            'adePickup_GetConsignBindsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignBindsResponse',
            'adePickup_GetConsignIDs' => '\\GlsPoland\\StructType\\AdePickup_GetConsignIDs',
            'adePickup_GetConsignIDsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignIDsResponse',
            'adePickup_GetConsign' => '\\GlsPoland\\StructType\\AdePickup_GetConsign',
            'adePickup_GetConsignResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignResponse',
            'adePickup_GetReceipt' => '\\GlsPoland\\StructType\\AdePickup_GetReceipt',
            'adePickup_GetReceiptResponse' => '\\GlsPoland\\StructType\\AdePickup_GetReceiptResponse',
            'adePickup_GetLabels' => '\\GlsPoland\\StructType\\AdePickup_GetLabels',
            'adePickup_GetLabelsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetLabelsResponse',
            'adePickup_GetIdent' => '\\GlsPoland\\StructType\\AdePickup_GetIdent',
            'adePickup_GetIdentResponse' => '\\GlsPoland\\StructType\\AdePickup_GetIdentResponse',
            'adePickup_GetConsignLabels' => '\\GlsPoland\\StructType\\AdePickup_GetConsignLabels',
            'adePickup_GetConsignLabelsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignLabelsResponse',
            'adePickup_GetConsignLabelsExt' => '\\GlsPoland\\StructType\\AdePickup_GetConsignLabelsExt',
            'adePickup_GetConsignLabelsExtResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignLabelsExtResponse',
            'adePickup_GetParcelLabel' => '\\GlsPoland\\StructType\\AdePickup_GetParcelLabel',
            'adePickup_GetParcelLabelResponse' => '\\GlsPoland\\StructType\\AdePickup_GetParcelLabelResponse',
            'adePickup_GetParcelsLabels' => '\\GlsPoland\\StructType\\AdePickup_GetParcelsLabels',
            'adePickup_GetParcelsLabelsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetParcelsLabelsResponse',
            'adePickup_ParcelNumberSearch' => '\\GlsPoland\\StructType\\AdePickup_ParcelNumberSearch',
            'adePickup_ParcelNumberSearchResponse' => '\\GlsPoland\\StructType\\AdePickup_ParcelNumberSearchResponse',
            'adePartner_GetParcelNumber' => '\\GlsPoland\\StructType\\AdePartner_GetParcelNumber',
            'adePartner_GetParcelNumberResponse' => '\\GlsPoland\\StructType\\AdePartner_GetParcelNumberResponse',
            'adeTrackID_Get' => '\\GlsPoland\\StructType\\AdeTrackID_Get',
            'adeTrackID_GetResponse' => '\\GlsPoland\\StructType\\AdeTrackID_GetResponse',
            'adeProfile_GetIDs' => '\\GlsPoland\\StructType\\AdeProfile_GetIDs',
            'adeProfile_GetIDsResponse' => '\\GlsPoland\\StructType\\AdeProfile_GetIDsResponse',
            'adeProfile_GetActive' => '\\GlsPoland\\StructType\\AdeProfile_GetActive',
            'adeProfile_GetActiveResponse' => '\\GlsPoland\\StructType\\AdeProfile_GetActiveResponse',
            'adeProfile_Change' => '\\GlsPoland\\StructType\\AdeProfile_Change',
            'adeProfile_ChangeResponse' => '\\GlsPoland\\StructType\\AdeProfile_ChangeResponse',
            'adeLang_GetActive' => '\\GlsPoland\\StructType\\AdeLang_GetActive',
            'adeLang_GetActiveResponse' => '\\GlsPoland\\StructType\\AdeLang_GetActiveResponse',
            'adeLang_Change' => '\\GlsPoland\\StructType\\AdeLang_Change',
            'adeLang_ChangeResponse' => '\\GlsPoland\\StructType\\AdeLang_ChangeResponse',
            'adePfc_GetStatus' => '\\GlsPoland\\StructType\\AdePfc_GetStatus',
            'adePfc_GetStatusResponse' => '\\GlsPoland\\StructType\\AdePfc_GetStatusResponse',
            'adePfc_GetDictionary' => '\\GlsPoland\\StructType\\AdePfc_GetDictionary',
            'adePfc_GetDictionaryResponse' => '\\GlsPoland\\StructType\\AdePfc_GetDictionaryResponse',
            'adeSendAddr_GetStatus' => '\\GlsPoland\\StructType\\AdeSendAddr_GetStatus',
            'adeSendAddr_GetStatusResponse' => '\\GlsPoland\\StructType\\AdeSendAddr_GetStatusResponse',
            'adeSendAddr_GetDictionary' => '\\GlsPoland\\StructType\\AdeSendAddr_GetDictionary',
            'adeSendAddr_GetDictionaryResponse' => '\\GlsPoland\\StructType\\AdeSendAddr_GetDictionaryResponse',
            'adeServices_GetAllowed' => '\\GlsPoland\\StructType\\AdeServices_GetAllowed',
            'adeServices_GetAllowedResponse' => '\\GlsPoland\\StructType\\AdeServices_GetAllowedResponse',
            'adeServices_GetMaxCOD' => '\\GlsPoland\\StructType\\AdeServices_GetMaxCOD',
            'adeServices_GetMaxCODResponse' => '\\GlsPoland\\StructType\\AdeServices_GetMaxCODResponse',
            'adeServices_GetMaxParcelWeights' => '\\GlsPoland\\StructType\\AdeServices_GetMaxParcelWeights',
            'adeServices_GetMaxParcelWeightsResponse' => '\\GlsPoland\\StructType\\AdeServices_GetMaxParcelWeightsResponse',
            'adeServices_GetGuaranteed' => '\\GlsPoland\\StructType\\AdeServices_GetGuaranteed',
            'adeServices_GetGuaranteedResponse' => '\\GlsPoland\\StructType\\AdeServices_GetGuaranteedResponse',
            'adeServices_GetCountriesSDS' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesSDS',
            'adeServices_GetCountriesSDSResponse' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesSDSResponse',
            'adeServices_GetCountriesSRS' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesSRS',
            'adeServices_GetCountriesSRSResponse' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesSRSResponse',
            'adeServices_GetCountriesCDX' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesCDX',
            'adeServices_GetCountriesCDXResponse' => '\\GlsPoland\\StructType\\AdeServices_GetCountriesCDXResponse',
            'adeZip_GetCity' => '\\GlsPoland\\StructType\\AdeZip_GetCity',
            'adeZip_GetCityResponse' => '\\GlsPoland\\StructType\\AdeZip_GetCityResponse',
            'adeZip_CustomsRequired' => '\\GlsPoland\\StructType\\AdeZip_CustomsRequired',
            'adeZip_CustomsRequiredResponse' => '\\GlsPoland\\StructType\\AdeZip_CustomsRequiredResponse',
            'adeOption_Get' => '\\GlsPoland\\StructType\\AdeOption_Get',
            'adeOption_GetResponse' => '\\GlsPoland\\StructType\\AdeOption_GetResponse',
            'adeOption_Set' => '\\GlsPoland\\StructType\\AdeOption_Set',
            'adeOption_SetResponse' => '\\GlsPoland\\StructType\\AdeOption_SetResponse',
            'adeParcelShop_SearchByZip' => '\\GlsPoland\\StructType\\AdeParcelShop_SearchByZip',
            'adeParcelShop_SearchByZipResponse' => '\\GlsPoland\\StructType\\AdeParcelShop_SearchByZipResponse',
            'adeParcelShop_SearchByID' => '\\GlsPoland\\StructType\\AdeParcelShop_SearchByID',
            'adeParcelShop_SearchByIDResponse' => '\\GlsPoland\\StructType\\AdeParcelShop_SearchByIDResponse',
            'adeParcelShop_GetByCountry' => '\\GlsPoland\\StructType\\AdeParcelShop_GetByCountry',
            'adeParcelShop_GetByCountryResponse' => '\\GlsPoland\\StructType\\AdeParcelShop_GetByCountryResponse',
            'adeParcelShop2_GetByCountry' => '\\GlsPoland\\StructType\\AdeParcelShop2_GetByCountry',
            'adeParcelShop2_GetByCountryResponse' => '\\GlsPoland\\StructType\\AdeParcelShop2_GetByCountryResponse',
            'adeParcelShop2_SearchByZip' => '\\GlsPoland\\StructType\\AdeParcelShop2_SearchByZip',
            'adeParcelShop2_SearchByZipResponse' => '\\GlsPoland\\StructType\\AdeParcelShop2_SearchByZipResponse',
            'adePreparingBox_GetConsignCustomsDec' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignCustomsDec',
            'adePreparingBox_GetConsignCustomsDecResponse' => '\\GlsPoland\\StructType\\AdePreparingBox_GetConsignCustomsDecResponse',
            'adePickup_GetConsignCustomsDec' => '\\GlsPoland\\StructType\\AdePickup_GetConsignCustomsDec',
            'adePickup_GetConsignCustomsDecResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignCustomsDecResponse',
            'adePickup_GetConsignPODs' => '\\GlsPoland\\StructType\\AdePickup_GetConsignPODs',
            'adePickup_GetConsignPODsResponse' => '\\GlsPoland\\StructType\\AdePickup_GetConsignPODsResponse',
            'adePOD_Get' => '\\GlsPoland\\StructType\\AdePOD_Get',
            'adePOD_GetResponse' => '\\GlsPoland\\StructType\\AdePOD_GetResponse',
            'adeCourier_Order' => '\\GlsPoland\\StructType\\AdeCourier_Order',
            'adeCourier_OrderResponse' => '\\GlsPoland\\StructType\\AdeCourier_OrderResponse',
        );
    }
}
