<?php

namespace GlsPoland\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Weights ServiceType
 * @subpackage Services
 */
class Weights extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named adeServices_GetMaxParcelWeights
     * Meta information extracted from the WSDL
     * - documentation: Return maximum parcel weights (national and international).
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \GlsPoland\StructType\AdeServices_GetMaxParcelWeights $parameters
     * @return \GlsPoland\StructType\AdeServices_GetMaxParcelWeightsResponse|bool
     */
    public function adeServices_GetMaxParcelWeights(\GlsPoland\StructType\AdeServices_GetMaxParcelWeights $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->adeServices_GetMaxParcelWeights($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \GlsPoland\StructType\AdeServices_GetMaxParcelWeightsResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
